zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andor Molnar (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-3404) BouncyCastle upgrade to 1.61 might cause flaky test issues
Date Mon, 27 May 2019 21:19:00 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-3404?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16849208#comment-16849208
] 

Andor Molnar commented on ZOOKEEPER-3404:
-----------------------------------------

I see a big jump in QuorumSSLTest runtime when the Java 9 patch was applied: (trunk JDK8)

[https://builds.apache.org/view/S-Z/view/ZooKeeper/job/ZooKeeper-trunk/lastCompletedBuild/testReport/org.apache.zookeeper.server.quorum/QuorumSSLTest/history/]

> BouncyCastle upgrade to 1.61 might cause flaky test issues
> ----------------------------------------------------------
>
>                 Key: ZOOKEEPER-3404
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-3404
>             Project: ZooKeeper
>          Issue Type: Bug
>          Components: tests
>    Affects Versions: 3.6.0
>            Reporter: Andor Molnar
>            Priority: Major
>              Labels: pull-request-available
>          Time Spent: 20m
>  Remaining Estimate: 0h
>
> I've seen a lot of test timeout errors with QuorumSSL tests since I upgraded master to
BouncyCastle 1.61 due to a Java 9 warning. The warning has been reported by [~eolivelli] which
we tried to solve by the upgrade, but the warning message is still present so I don't see
any harm in downgrading to the previous version. 
> The timeout errors are very frequent with recent Java versions (11+) and quite rare with
Java 8.
> I think it's worth a try to downgrade and see if tests will be in a better shape.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message